#  
#   This file is part of the qdu distribution
#   Copyright (C) 2002, 2003, 2004  Gilles Debunne (Gilles.Debunne@imag.fr)
#   Version 2.2-2, packaged on Tuesday February 1, 2005.
#  
#   http://artis.imag.fr/Membres/Gilles.Debunne/Code/QDU
#  
#   QDU is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#  
#   QDU is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#  
#   You should have received a copy of the GNU General Public License
#   along with QDU; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#  
TEMPLATE	= app
CONFIG         *= qt warn_on release thread
TARGET		= qdu
FORMS           = qduInterface.ui
HEADERS		= item.h directoryView.h
SOURCES		= item.cpp directoryView.cpp dragAndDrop.cpp undo.cpp main.cpp
target.path	= /usr/bin
INSTALLS	= target
DISTFILES      += LICENCE INSTALL CHANGELOG README

win32:CONFIG   += exceptions

irix-cc {
  CONFIG         -= thread
  QMAKE_CFLAGS_RELEASE   -= -O3 -O2 -OPT:Olimit=30000
  QMAKE_LFLAGS_RELEASE   -= -O3 -O2 -OPT:Olimit=30000
  QMAKE_CXXFLAGS_RELEASE -= -O3 -O2 -OPT:Olimit=30000
  QMAKE_CFLAGS_RELEASE   *= -IPA -Ofast=IP35
  QMAKE_LFLAGS_RELEASE   *= -IPA -Ofast=IP35
  QMAKE_CXXFLAGS_RELEASE *= -IPA -Ofast=IP35
  QMAKE_CFLAGS           *= -LANG:std
  QMAKE_LFLAGS           *= -LANG:std
  QMAKE_CXXFLAGS         *= -LANG:std 
  QMAKE_CFLAGS           += -woff 1424,3201,1110,1188
  QMAKE_CXXFLAGS         += -woff 1424,3201,1110,1188
}

irix-n32 {
  QMAKE_CFLAGS_RELEASE   -= -O3 -O2 -OPT:Olimit=30000
  QMAKE_LFLAGS_RELEASE   -= -O3 -O2 -OPT:Olimit=30000
  QMAKE_CXXFLAGS_RELEASE -= -O3 -O2 -OPT:Olimit=30000
  QMAKE_CFLAGS_RELEASE   *= -IPA -Ofast=IP35
  QMAKE_LFLAGS_RELEASE   *= -IPA -Ofast=IP35
  QMAKE_CXXFLAGS_RELEASE *= -IPA -Ofast=IP35
  QMAKE_CFLAGS           *= -LANG:std
  QMAKE_LFLAGS           *= -LANG:std
  QMAKE_CXXFLAGS         *= -LANG:std 
  QMAKE_CFLAGS           += -woff 1424,3201,1110,1188
  QMAKE_CXXFLAGS         += -woff 1424,3201,1110,1188
}

win32-msvc {
		# Make sur to have C++ files, PentiumPro code, few warnings
		# add support to RTTI and Exceptions,
		# and generate debug info "program database" :
		QMAKE_CXXFLAGS = -TP -G6 -W1 -GR -GX -EHsc -Zi
		# Optimise for speed, and expand any suitable inlines :
		QMAKE_CXXFLAGS_RELEASE = -Ox -Ot -Ob2
		# Optimise for debug :
		QMAKE_CXXFLAGS_DEBUG   = -Od
}

win32-msvc.net {
		# Make sur to have C++ files, PentiumPro code, few warnings
		# add support to RTTI and Exceptions,
		# and generate debug info "program database" :
		QMAKE_CXXFLAGS = -TP -G6 -W1 -GR -EHsc -Zi
		QMAKE_CXXFLAGS += -MT
		# Optimise for speed, and expand any suitable inlines :
		QMAKE_CXXFLAGS_RELEASE  = -Ox -Ot -Ob2
		# Optimise for debug :
		QMAKE_CXXFLAGS_DEBUG    = -Od
}
